List visits
curl --request GET \
--url https://rxnote.ai/api/v1/visits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rxnote.ai/api/v1/visits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rxnote.ai/api/v1/visits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 90211,
"patient_id": 123,
"status": "recording",
"language": "<string>",
"template_id": 123,
"outputs": [
"transcript"
],
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"icd_codes": {
"code_version": "icd11",
"generated_at": "<string>",
"codes": [
{
"code": "CA02",
"name": "Acute pharyngitis",
"confidence": "high"
}
]
},
"error": {
"code": "TRANSCRIPTION_FAILED",
"message": "<string>"
},
"upload": {
"url": "<string>",
"method": "PUT",
"headers": {
"Content-Type": "audio/webm"
},
"expires_at": "2023-11-07T05:31:56Z"
},
"transcript": {
"text": "<string>",
"duration_seconds": 123,
"segments": [
{
"speaker": 123,
"start_ms": 123,
"end_ms": 123,
"text": "<string>"
}
]
},
"note": {
"template": {
"id": 123,
"name": "<string>"
},
"framework": "soap",
"sections": [
{
"id": "<string>",
"title": "<string>",
"fields": [
{
"id": "<string>",
"label": "<string>",
"text": "<string>"
}
]
}
],
"html": "<string>"
},
"summary": {}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"has_more": true
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}Visits
List visits
Visits created with this account’s keys, newest first. Scope visits:read.
GET
/
visits
List visits
curl --request GET \
--url https://rxnote.ai/api/v1/visits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rxnote.ai/api/v1/visits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rxnote.ai/api/v1/visits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 90211,
"patient_id": 123,
"status": "recording",
"language": "<string>",
"template_id": 123,
"outputs": [
"transcript"
],
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"icd_codes": {
"code_version": "icd11",
"generated_at": "<string>",
"codes": [
{
"code": "CA02",
"name": "Acute pharyngitis",
"confidence": "high"
}
]
},
"error": {
"code": "TRANSCRIPTION_FAILED",
"message": "<string>"
},
"upload": {
"url": "<string>",
"method": "PUT",
"headers": {
"Content-Type": "audio/webm"
},
"expires_at": "2023-11-07T05:31:56Z"
},
"transcript": {
"text": "<string>",
"duration_seconds": 123,
"segments": [
{
"speaker": 123,
"start_ms": 123,
"end_ms": 123,
"text": "<string>"
}
]
},
"note": {
"template": {
"id": 123,
"name": "<string>"
},
"framework": "soap",
"sections": [
{
"id": "<string>",
"title": "<string>",
"fields": [
{
"id": "<string>",
"label": "<string>",
"text": "<string>"
}
]
}
],
"html": "<string>"
},
"summary": {}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"has_more": true
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}Authorizations
Your API key, created in RxNote under Settings → API: Authorization: Bearer rxn_live_….
Query Parameters
Available options:
recording, pending, processing, transcribing, generating-soap, completed, failed, no-speech Required range:
x >= 1Required range:
1 <= x <= 100